package com.chenyang.druid.sql.dialect.db2.ast.stmt;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.statement.SQLCreateDatabaseStatement;
import com.chenyang.druid.sql.dialect.db2.ast.DB2SQLObject;
import com.chenyang.druid.sql.dialect.db2.visitor.DB2ASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class DB2CreateDatabaseStatement extends SQLCreateDatabaseStatement implements DB2SQLObject {
   private boolean withAndSoOn;
   private boolean collectHistory;
   private SQLExpr collectHistoryType;
   private boolean dataVersionRetentionTime;
   private SQLExpr dataVersionRetentionTimeNum;

   public boolean isWithAndSoOn() {
      return this.withAndSoOn;
   }

   public void setWithAndSoOn(boolean withAndSoOn) {
      this.withAndSoOn = withAndSoOn;
   }

   public boolean isCollectHistory() {
      return this.collectHistory;
   }

   public void setCollectHistory(boolean collectHistory) {
      this.collectHistory = collectHistory;
   }

   public SQLExpr getCollectHistoryType() {
      return this.collectHistoryType;
   }

   public void setCollectHistoryType(SQLExpr collectHistoryType) {
      this.collectHistoryType = collectHistoryType;
   }

   public boolean isDataVersionRetentionTime() {
      return this.dataVersionRetentionTime;
   }

   public void setDataVersionRetentionTime(boolean dataVersionRetentionTime) {
      this.dataVersionRetentionTime = dataVersionRetentionTime;
   }

   public SQLExpr getDataVersionRetentionTimeNum() {
      return this.dataVersionRetentionTimeNum;
   }

   public void setDataVersionRetentionTimeNum(SQLExpr dataVersionRetentionTimeNum) {
      this.dataVersionRetentionTimeNum = dataVersionRetentionTimeNum;
   }

   public DB2CreateDatabaseStatement() {
      this.dbType = DbType.db2;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((DB2ASTVisitor)visitor);
   }

   public void accept0(DB2ASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public DB2CreateDatabaseStatement clone() {
      DB2CreateDatabaseStatement c = new DB2CreateDatabaseStatement();
      return c;
   }
}
